List application deploys
curl --request GET \
--url https://api.qovery.com/application/{applicationId}/deploymentHistoryV2 \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qovery.com/application/{applicationId}/deploymentHistoryV2"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qovery.com/application/{applicationId}/deploymentHistoryV2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"page_size": 20,
"results": [
{
"identifier": {
"name": "<string>",
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"execution_id": "<string>"
},
"auditing_data": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"triggered_by": "<string>",
"origin": "API"
},
"details": {
"commit": {
"created_at": "2023-11-07T05:31:56Z",
"git_commit_id": "<string>",
"tag": "v2.1.1",
"message": "<string>",
"author_name": "<string>",
"author_avatar_url": "<string>",
"commit_page_url": "<string>"
},
"build_pod_name": "<string>"
},
"status_details": {
"sub_action": "NONE"
},
"icon_uri": "<string>",
"total_duration": "<string>"
}
]
}Application Deployment History
List application deploys
By default it returns the 20 last results. The response is paginated. In order to request the next page, you can use the startId query parameter. You can also filter by status (FAILED or SUCCESS), and git_commit_id
GET
/
application
/
{applicationId}
/
deploymentHistoryV2
List application deploys
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Query Parameters
The number of deployments to return in the current page
Was this page helpful?
⌘I